Bug 1004591 - [abrt] xscreensaver-gl-extras-5.22-1.fc18: nouveau_resource_map_offset: Process /usr/libexec/xscreensaver/glhanoi was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] xscreensaver-gl-extras-5.22-1.fc18: nouveau_resource_map_offset: Proce...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:0e36e4338d6bb22736857ac80be...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 22:09 EDT by G Robin
Modified: 2013-10-11 16:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 16:21:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ignatenko: needinfo? (sulblk27)


Attachments (Terms of Use)
File: backtrace (18.55 KB, text/plain)
2013-09-04 22:09 EDT, G Robin
no flags Details
File: cgroup (132 bytes, text/plain)
2013-09-04 22:09 EDT, G Robin
no flags Details
File: core_backtrace (2.78 KB, text/plain)
2013-09-04 22:09 EDT, G Robin
no flags Details
File: dso_list (3.01 KB, text/plain)
2013-09-04 22:09 EDT, G Robin
no flags Details
File: environ (1.69 KB, text/plain)
2013-09-04 22:09 EDT, G Robin
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-04 22:09 EDT, G Robin
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-04 22:09 EDT, G Robin
no flags Details
File: maps (9.29 KB, text/plain)
2013-09-04 22:09 EDT, G Robin
no flags Details
File: open_fds (238 bytes, text/plain)
2013-09-04 22:09 EDT, G Robin
no flags Details
File: proc_pid_status (774 bytes, text/plain)
2013-09-04 22:09 EDT, G Robin
no flags Details
File: var_log_messages (630 bytes, text/plain)
2013-09-04 22:09 EDT, G Robin
no flags Details

  None (edit)
Description G Robin 2013-09-04 22:09:13 EDT
Description of problem:
This is a recent install of F18 (Sept 3) it is dual booting with Ubuntu 13.  The updates and upgrade were conducted on both systems.  xscreensaver was installed on both systems.  The error must occur when it shut down (not sure if I had a power failure- everything else was on but this computer). The other two errors showing is from xscreensaver, glhanoi.  When I went to uncheck it, the computer froze, I waited a few minutes and was able to continue unchecking other screensavers.  However, I did restart the computer to see if the other OS was still having it's issues.  When I returned to Fedora, this screensaver error popped up on reboot. I do have a clock, calendar and some kind of weather widget on the desk top and a  cpu meter.

Version-Release number of selected component:
xscreensaver-gl-extras-5.22-1.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        glhanoi -root -window-id 0x4A017F5
crash_function: nouveau_resource_map_offset
executable:     /usr/libexec/xscreensaver/glhanoi
kernel:         3.6.10-4.fc18.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 nouveau_resource_map_offset at nouveau_buffer.c:502
 #1 nv30_emit_vtxattr at nv30_vbo.c:46
 #2 nv30_vbo_validate at nv30_vbo.c:232
 #3 nv30_state_validate at nv30_state_validate.c:487
 #4 nv30_clear at nv30_clear.c:61
 #5 st_Clear at ../../src/mesa/state_tracker/st_cb_clear.c:464
 #6 _mesa_Clear at ../../src/mesa/main/clear.c:202
 #7 glClear at ../../../src/mapi/glapi/glapi_mapi_tmp.h:2824
 #8 draw_glhanoi at ../../../hacks/glx/glhanoi.c:1962
 #9 xlockmore_draw at ../../../hacks/xlockmore.c:500
Comment 1 G Robin 2013-09-04 22:09:17 EDT
Created attachment 793953 [details]
File: backtrace
Comment 2 G Robin 2013-09-04 22:09:20 EDT
Created attachment 793954 [details]
File: cgroup
Comment 3 G Robin 2013-09-04 22:09:22 EDT
Created attachment 793955 [details]
File: core_backtrace
Comment 4 G Robin 2013-09-04 22:09:24 EDT
Created attachment 793956 [details]
File: dso_list
Comment 5 G Robin 2013-09-04 22:09:27 EDT
Created attachment 793957 [details]
File: environ
Comment 6 G Robin 2013-09-04 22:09:29 EDT
Created attachment 793958 [details]
File: exploitable
Comment 7 G Robin 2013-09-04 22:09:32 EDT
Created attachment 793959 [details]
File: limits
Comment 8 G Robin 2013-09-04 22:09:34 EDT
Created attachment 793960 [details]
File: maps
Comment 9 G Robin 2013-09-04 22:09:36 EDT
Created attachment 793961 [details]
File: open_fds
Comment 10 G Robin 2013-09-04 22:09:39 EDT
Created attachment 793962 [details]
File: proc_pid_status
Comment 11 G Robin 2013-09-04 22:09:41 EDT
Created attachment 793963 [details]
File: var_log_messages
Comment 12 Mamoru TASAKA 2013-09-05 01:56:09 EDT
Once switching to mesa to ask for help.
Comment 13 Igor Gnatenko 2013-09-05 02:02:17 EDT
(In reply to Mamoru TASAKA from comment #12)
> Once switching to mesa to ask for help.
please update to latest mesa (9.2-1.20130902) http://koji.fedoraproject.org/koji/buildinfo?buildID=460801
if this help to you wait until this version will be pushed to repos.
Comment 14 Igor Gnatenko 2013-10-11 16:21:40 EDT
I close this bug because reporter isn't available.

Note You need to log in before you can comment on or make changes to this bug.